{% extends 'base.html' %}

{% block title %}
    {{ post.title }} - {{ block.super }}
{% endblock %}
{% block content %}
<div class="row">
    <div class="col s12 m6">
    <div class="card light-grey darken-1">
        <div>
            <ul>
                 <li><div class="user-view">
                     <img class="circle article-img" width="50" src="{{ post.author.user.author.pp.url }}">
                     <span class="">@{{ post.author.user.username}}</span>
                     {% if post.author.user == request.user %}
                <a href="{%url 'cadmin:post-update' post.id%}" class="btn btn-secondary">Update</a>
                <a href="{%url 'cadmin:post-delete' post.id%}" class="btn btn-secondary">Delete</a>
            {%endif%}
                   </div></li>
       </div>
        
        <div class="card-content">
            <span class="card-title">
                {{ post.title|capfirst }}
            </span>
            <p>{{ post.content}}</p>
       
            </div>
       
       <div class="card-action">
            <span>Date: {{ post.pub_date.date}} </span> |
            <span>Category: <a href="{{ post.category.get_absolute_url }}">{{post.category.name}}</a></span> |    
            <span>Tags:
            {% for tag in post.tags.all %}
                 <a href="{{ tag.get_absolute_url }}">{{ tag.name }}</a>
            {% empty %}          
                 None
            {%endfor%}
            

       </span>
       </div>
    </div>
    </div>
</div>





{% endblock %}